"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var inlineStyleCache = {
    editorState: null,
    value: null
};
var EditorUtils = {
    getCurrentInlineStyle: function getCurrentInlineStyle(editorState) {
        if (editorState === inlineStyleCache.editorState) {
            return inlineStyleCache.value;
        }
        inlineStyleCache.editorState = editorState;
        inlineStyleCache.value = editorState.getCurrentInlineStyle();
        return inlineStyleCache.value;
    },
    getCurrentEntity: function getCurrentEntity(editorState) {
        var entity = void 0;
        var selection = editorState.getSelection();
        var start = selection.getStartOffset();
        var end = selection.getEndOffset();
        if (start === end && start === 0) {
            end = -1;
        } else if (start === end) {
            start = start - 1;
        }
        var block = EditorUtils.getSelectedBlock(editorState);
        for (var i = start; i < end; i++) {
            var currentEntity = block.getEntityAt(i);
            if (!currentEntity) {
                entity = undefined;
                break;
            }
            if (i === start) {
                entity = currentEntity;
            } else {
                if (entity !== currentEntity) {
                    entity = undefined;
                    break;
                }
            }
        }
        return entity;
    },
    getSelectedBlock: function getSelectedBlock(editorState) {
        var currentContent = editorState.getCurrentContent();
        var selection = editorState.getSelection();
        return currentContent.getBlockForKey(selection.getStartKey());
    }
};
exports["default"] = EditorUtils;
module.exports = exports['default'];